# OpenLayers.Format.WMSDescribeLayer.v1_1

Read SLD WMS DescribeLayer response for WMS 1.1.X WMS 1.1.X is tightly coupled to SLD 1.0.0

#### Example DescribeLayer request

http://demo.opengeo.org/geoserver/wms?request=DescribeLayer&version=1.1.1&layers=topp:states

#### Inherits from

- OpenLayers.Format.WMSDescribeLayer

Summary

OpenLayers.Format.WMSDescribeLayer.v1_1 | Read SLD WMS DescribeLayer response for WMS 1.1.X WMS 1.1.X is tightly coupled to SLD 1.0.0
Constructor |
OpenLayers.Format.WMSDescribeLayer | Create a new parser for WMS DescribeLayer responses.
Functions |
read | Read DescribeLayer data from a string, and return the response.

### Constructor

### OpenLayers.Format.WMSDescribeLayer

Create a new parser for WMS DescribeLayer responses.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read

> read: function( | data | )

Read DescribeLayer data from a string, and return the response. The OGC defines 2 formats which are allowed for output, so we need to parse these 2 types for version 1.1.X

#### Parameters

data | {String} or {DOMElement} data to read/parse.

#### Returns

{Array} Array of {<LayerDescription>} objects which have:

- {String} owsType: WFS/WCS
- {String} owsURL: the online resource
- {String} typeName: the name of the typename on the service

> read: function( | data | )

Read DescribeLayer data from a string, and return the response.
Create a new parser for WMS DescribeLayer responses.
Close